Subject: clisp (1994-10-26) and SVR4.0 (SINIX-Z)

From: Manfred Weichel <[email-masked]>
Date: Fri, 9 Dec 1994 15:34:40 +0100 (MET)

Hi,

I try to build clisp on a Pentium with SINIX-Z (a SVR4.0 derivative). I read
through the PLATFORMS file and tried all given hints for SVR4 systems 
(-DNO_MULTIMAP_SHM, or -DNO_GENERATIONAL_GC) but nothing helped. In every
case I got the following error:

./lisp.run -m 750KW -x "(load \"init.lsp\") (sys::%saveinitmem) (exit)"
  i i i i i i i       ooooo    o        ooooooo   ooooo   ooooo   
  I I I I I I I      8     8   8           8     8     o  8    8  
  I I I I I I I      8         8           8     8        8    8  
  I I I I I I I      8         8           8      ooooo   8oooo   
  I  \ `+' /  I      8         8           8           8  8       
   \  `-+-'  /       8     o   8           8     o     8  8       
    `-__|__-'         ooooo    8oooooo  ooo8ooo   ooooo   8       
        |                                                         
  ------+------     Copyright (c) Bruno Haible, Michael Stoll 1992, 1993, 1994
                                                                  
;; Loading file defseq.lsp ...
;; Loading of file defseq.lsp is finished.
;; Loading file backquot.lsp ...
;; Loading of file backquot.lsp is finished.
;; Loading file defmacro.lsp ...
;; Loading of file defmacro.lsp is finished.
;; Loading file macros1.lsp ...
;; Loading of file macros1.lsp is finished.
;; Loading file macros2.lsp ...make: *** Error code 139

make: Fatal error.

gdb lisp.run core
GDB is free software and you are welcome to distribute copies of it
 under certain conditions; type "show copying" to see the conditions.
There is absolutely no warranty for GDB; type "show warranty" for details.
GDB 4.13 (i386v4), Copyright 1994 Free Software Foundation, Inc...
(no debugging symbols found)...
Core was generated by `./lisp.run -m 750KW -x (load "init.lsp") (sys::%saveinitmem) (exit)'.
Program terminated with signal 11, Segmentation fault.
Cannot access memory at address 0x8003500c.
#0  0x804af30 in gar_col_normal ()
(gdb) bt
#0  0x804af30 in gar_col_normal ()
#1  0x2 in ?? ()
Cannot access memory at address 0x4000a270.
(gdb) 

Every help is appreciated
-- Manfred
-------------------------------------------------------------------------------
Manfred Weichel
Siemens Nixdorf Informationssysteme
SNI SU MR PD122
Mch-P
E-Mail: [email-masked]
-------------------------------------------------------------------------------